# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
dirac::PictureSort Class Reference

Picture type Class.

`#include <common.h>`

## Public Member Functions
| PictureSort ()
void | SetIntra ()
void | SetInter ()
void | SetNonRef ()
void | SetRef ()
bool | IsInter () const
bool | IsIntra () const
bool | IsRef () const
bool | IsNonRef () const
void | SetIntraNonRef ()
void | SetIntraRef ()
void | SetInterNonRef ()
void | SetInterRef ()
bool | IsIntraNonRef () const
bool | IsIntraRef () const
bool | IsInterNonRef () const
bool | IsInterRef () const
void | Clear ()

## Static Public Member Functions
static PictureSort | IntraRefPictureSort ()
static PictureSort | InterRefPictureSort ()
static PictureSort | IntraNonRefPictureSort ()
static PictureSort | InterNonRefPictureSort ()

## Private Attributes
unsigned char | fs

## Constructor & Destructor Documentation

## ◆ PictureSort()

dirac::PictureSort::PictureSort | ( |  | ) |
| inline

References fs.

## Member Function Documentation

## ◆ Clear()

void dirac::PictureSort::Clear | ( |  | ) |
| inline

References fs.

## ◆ InterNonRefPictureSort()

static PictureSort dirac::PictureSort::InterNonRefPictureSort | ( |  | ) |
| inline static

References fs.

## ◆ InterRefPictureSort()

static PictureSort dirac::PictureSort::InterRefPictureSort | ( |  | ) |
| inline static

References fs.

## ◆ IntraNonRefPictureSort()

static PictureSort dirac::PictureSort::IntraNonRefPictureSort | ( |  | ) |
| inline static

References fs.

## ◆ IntraRefPictureSort()

static PictureSort dirac::PictureSort::IntraRefPictureSort | ( |  | ) |
| inline static

References fs.

## ◆ IsInter()

bool dirac::PictureSort::IsInter | ( |  | ) | const
| inline

References fs.

Referenced by IsIntra().

## ◆ IsInterNonRef()

bool dirac::PictureSort::IsInterNonRef | ( |  | ) | const
| inline

References fs.

## ◆ IsInterRef()

bool dirac::PictureSort::IsInterRef | ( |  | ) | const
| inline

References fs.

## ◆ IsIntra()

bool dirac::PictureSort::IsIntra | ( |  | ) | const
| inline

References IsInter().

## ◆ IsIntraNonRef()

bool dirac::PictureSort::IsIntraNonRef | ( |  | ) | const
| inline

References fs.

## ◆ IsIntraRef()

bool dirac::PictureSort::IsIntraRef | ( |  | ) | const
| inline

References fs.

## ◆ IsNonRef()

bool dirac::PictureSort::IsNonRef | ( |  | ) | const
| inline

References IsRef().

## ◆ IsRef()

bool dirac::PictureSort::IsRef | ( |  | ) | const
| inline

References fs.

Referenced by IsNonRef().

## ◆ SetInter()

void dirac::PictureSort::SetInter | ( |  | ) |
| inline

References fs.

Referenced by SetInterNonRef(), and SetInterRef().

## ◆ SetInterNonRef()

void dirac::PictureSort::SetInterNonRef | ( |  | ) |
| inline

References SetInter(), and SetNonRef().

## ◆ SetInterRef()

void dirac::PictureSort::SetInterRef | ( |  | ) |
| inline

References SetInter(), and SetRef().

## ◆ SetIntra()

void dirac::PictureSort::SetIntra | ( |  | ) |
| inline

References fs.

Referenced by SetIntraNonRef(), and SetIntraRef().

## ◆ SetIntraNonRef()

void dirac::PictureSort::SetIntraNonRef | ( |  | ) |
| inline

References SetIntra(), and SetNonRef().

## ◆ SetIntraRef()

void dirac::PictureSort::SetIntraRef | ( |  | ) |
| inline

References SetIntra(), and SetRef().

## ◆ SetNonRef()

void dirac::PictureSort::SetNonRef | ( |  | ) |
| inline

References fs.

Referenced by SetInterNonRef(), and SetIntraNonRef().

## ◆ SetRef()

void dirac::PictureSort::SetRef | ( |  | ) |
| inline

References fs.

Referenced by SetInterRef(), and SetIntraRef().

## Member Data Documentation

## ◆ fs

unsigned char dirac::PictureSort::fs
| private

Referenced by Clear(), InterNonRefPictureSort(), InterRefPictureSort(), IntraNonRefPictureSort(), IntraRefPictureSort(), IsInter(), IsInterNonRef(), IsInterRef(), IsIntraNonRef(), IsIntraRef(), IsRef(), PictureSort(), SetInter(), SetIntra(), SetNonRef(), and SetRef().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.